@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.services {
  position: relative;
  margin-top: 50px;

  &::after {
    content: "";
    position: absolute;
    bottom: -305px;
    left: 0;
    width: 100%;
    height: 1115px;
    background: url("/assets/images/bg-services.png");
    background-position: center center;
    background-size: cover;
    z-index: -1;
  }

  &__container {
    @include container;

    display: grid;

    @include media-breakpoint-up(lg) {
      grid-template-columns: 450px 1fr;
    }
  }

  &__list {
    padding: 65px 40px 30px 50px;
    background-color: var(--white-color);
    box-shadow: 0px 10px 35px 0px rgb(53 82 99 / 7%);
  }

  &__list ul {
    padding: 0;
    list-style: none;
  }

  &__list li {
    position: relative;
    margin-bottom: 17px;
    font-family: var(--font-text);
    font-size: 15px;
    line-height: 18px;
    color: #6d6d6d;
    cursor: pointer;

    &::before {
      content: "\279D";
      position: absolute;
      top: 0;
      left: 0;
      font-size: 16px;
      text-decoration: none;
      transition: all 0.25s ease-in;
      opacity: 0;
    }

    span {
      position: relative;
      display: inline-block;
      transition: all 0.25s ease-in;
    }

    @include hover() {
      span {
        margin-left: 20px;
        color: var(--yellow-color);
      }

      &::before {
        opacity: 1;
        color: var(--yellow-color);
      }
    }

    &.active {
      span {
        margin-left: 20px;
        color: var(--yellow-color);
      }

      &::before {
        opacity: 1;
        color: var(--yellow-color);
      }
    }
  }

  &__list small {
    margin-top: 30px;
  }

  &__title {
    margin: 0 0 25px;
    font-family: var(--font-title);
    font-size: 25px;
    line-height: 30px;
    text-transform: uppercase;
  }

  &__title span {
    color: var(--yellow-color);
  }

  &__main {
    padding: 50px;
    background-color: var(--white-color);
    box-shadow: 15px 10px 35px 0px rgb(53 82 99 / 7%);
  }

  &__main h3 {
    margin-top: 0;
    font-family: var(--font-title);
    font-size: 22px;
    font-weight: 400;
    line-height: 30px;
    //text-transform: uppercase;
  }

  &__main p {
    margin: 0 0 10px;
    font-family: var(--font-text);
    font-size: 16px;
    line-height: 24px;
    font-weight: 300;
    color: $gray-dark-color;
  }

  &__section {
    display: flex;
    flex-direction: column;
    height: 100%;

    app-btn {
      margin-top: auto;
    }
  }
}
